Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rendsite.engine
Class Category

    java.lang.Object
      rendsite.engine.Category

    public class Category

extends java.lang.Object

A category. It is a classification for files.

Author:
  erich Version History

       10NOV09 - EPG - First package release.

Field Summary
`java.lang.String` | `displayType` Long name format, suitable for rendering.
`java.util.HashSet<java.lang.String>` | `extensions` File extensions.
`java.lang.String` | `id` Unique name.
`RenderingType` | `renderingType` Rendering type.
`java.lang.String` | `subtype` MIME or fabricated subtype.
`java.lang.String` | `type` MIME or fabricated type.

Constructor Summary
`Category(java.lang.String id, java.lang.String displayType, java.lang.String type, java.lang.String subtype, RenderingType renderingType)` Construct without extensions (the list will be empty)
`Category(java.lang.String id, java.lang.String displayType, java.lang.String type, java.lang.String subtype, RenderingType renderingType, java.lang.String... extensions)` Construct with extensions.

Method Summary
`java.lang.String` | `toString()` Render the category as a simple String.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### id

    public java.lang.String id

  Unique name. Suitable for identifying.

### displayType

    public java.lang.String displayType

  Long name format, suitable for rendering.

### type

    public java.lang.String type

  MIME or fabricated type. If applicable, use a proper mime type, otherwise make something up.

### renderingType

    public RenderingType renderingType

  Rendering type.

### subtype

    public java.lang.String subtype

  MIME or fabricated subtype. If applicable, use a proper mime subtype, otherwise make something up.

### extensions

    public java.util.HashSet<java.lang.String> extensions

  File extensions. These are common extensions found for this file.

Constructor Detail

### Category

    public Category(java.lang.String id,
                    java.lang.String displayType,
                    java.lang.String type,
                    java.lang.String subtype,
                    RenderingType renderingType)

  Construct without extensions (the list will be empty)

### Category

    public Category(java.lang.String id,
                    java.lang.String displayType,
                    java.lang.String type,
                    java.lang.String subtype,
                    RenderingType renderingType,
                    java.lang.String... extensions)

  Construct with extensions.

Method Detail

### toString

    public java.lang.String toString()

  Render the category as a simple String.

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    the String.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

rendsite.